İçeriğe geç

Gemini Omni Flash · Reference to Video

Entegre et

Model kimliği google/gemini-omni-flash/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: ≈$1,282 1.282 API kredisi · ≈ ₽137,92 Bu sayfada çalıştır

API anahtarı al
Google Referanstan Videoya Referans girdileriDudak senkronizasyonuHızlı3–10 s #stylized#transform#lipsync

İsteme satır içi görüntü rolü etiketleriyle birlikte 1-10 gerekli referans görüntü ve bir istemden video oluşturur

Google · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 20000

`<IMAGE_REF_0>` gibi etiketler aracılığıyla referans görselleri için satır içi rol atamalarını destekleyen video açıklaması.

•gerekli image_urls
Dosyayı bırakın veya · 10 adede kadar

Videoya dahil edilecek referans görsellerinin URL'leri.

aspect_ratio varsayılan 16:9

Çıktı videosunun en-boy oranı.

varsayılan 8

Saniye cinsinden ölçülen çıktı videosunun uzunluğu.

POST /run/google/gemini-omni-flash/reference-to-video?wait=20 fiyat → $1,282
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Gemini Omni Flash · Reference to Video hakkında

Gerekli referans görüntülerden yararlanan bir video oluşturur: `image_urls` 1 ila 10 URL kabul eder. İstem, <IMAGE_REF_0> gibi satır içi etiketlerle görüntüleri rollere bağlayabilir. Çıktı en-boy oranı 16:9 veya 9:16, süre ise 3 ile 10 saniyedir (varsayılan 8). Çözünürlük ayarı yoktur ve referans video kabul etmez.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 20.000 karakter
`<IMAGE_REF_0>` gibi etiketler aracılığıyla referans görselleri için satır içi rol atamalarını destekleyen video açıklaması.
image_urlsgerekli images
Türurl[] · image
≤ 10 öğe
Videoya dahil edilecek referans görsellerinin URL'leri.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
16:99:16
Çıktı videosunun en-boy oranı.
durationisteğe bağlı
Türinteger
Varsayılan8
3 – 10
Saniye cinsinden ölçülen çıktı videosunun uzunluğu.
gerekli Kanonik ad, bu ad da kabul edilir

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1282,
    "usd": "1.282",
    "charged": 1282,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.

Daha fazla model: Referanstan Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/google/gemini-omni-flash/reference-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt